#include "ginyencapsulador.h"
#include "ui_ginyencapsulador.h"
#include "ginysliderlcd.h"
#include "ginyetiqueta.h"

GinyEncapsulador::GinyEncapsulador(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyEncapsulador)
{
    ui->setupUi(this);
    GinySliderLCD *gSlL = new GinySliderLCD;
    GinyEtiqueta *gEt = new GinyEtiqueta;

    ui->distEsq->addWidget(gSlL);
    ui->distDreta->addWidget(gEt);

    connect(gSlL,SIGNAL(vSenyalSliderLCD(int)),
            gEt,SLOT(vSetEtiqueta(int)));
    gSlL->vSlotSetSliderLCD(VALOR_INICIAL);
    gEt->vSetEtiqueta(VALOR_INICIAL);
}

GinyEncapsulador::~GinyEncapsulador()
{
    delete ui;
}


void GinyEncapsulador::on_btSurt_clicked()
{
    close();
}
